...
 
Commits (2)
# Changes in check\_technicolor\_docsis.sh
## 1.3 (2019-01-03)
* adapt for and require MCSL v1.9
## 1.2 (2017-10-31)
* fetch and evaulate the cable-modem-state value.
......
......@@ -3,7 +3,7 @@
###############################################################################
# This file is part of check_technicolor_docsis v1.2.
# This file is part of check_technicolor_docsis v1.3.
#
# check_technicolor_docsis, a monitoring plugin for (c) Nagios, (c) Icinga, etc.
#
......@@ -22,7 +22,7 @@
# @author Andreas Unterkircher
# @license AGPLv3
# @title check_technicolor_docsis
# @version 1.2
# @version 1.3
set -u -e -o pipefail # exit-on-error, error on undeclared variables.
#shopt -s sourcepath # in case Bash won't consider $PATH.
......@@ -48,7 +48,7 @@ fi
#
readonly PROGNAME="check_technicolor_docsis"
readonly VERSION="1.2"
readonly VERSION="1.3"
# some recommended values I found on the Internet some time ago.
readonly UPSTREAM_POWER_DEFAULT_WARNING='50:'
......@@ -63,9 +63,9 @@ readonly CSL_CRITICAL_THRESHOLD_DEFAULT="/^downstream_.+_power/=${DOWNSTREAM_POW
declare -g -a IGNORE_CHANNELS_ARY=()
if ! is_func csl_require_libvers || \
! [[ "$(csl_require_libvers "1.8.0")" =~ ^(gt|eq)$ ]]; then
echo "monitoring-common-shell-library v1.8.0 or higher is required."
if ! is_func _csl_require_libvers || \
! [[ "$(_csl_require_libvers '1.9')" =~ ^(gt|eq)$ ]]; then
echo "monitoring-common-shell-library v1.9 or higher is required."
exit 1
fi
......